version: "3.9"

services:

  # https-portal:
  #   image: steveltn/https-portal:1
  #   container_name: https-portal
  #   restart: always
  #   environment:
  #     DOMAINS: docker-registry.tk -> http://docker-registry:5000
  #   ports:
  #     - 80:80
  #     - 443:443
  #   links:
  #     - docker-registry
  #   volumes:
  #     - ./volumes/https-nginx/cert:/var/lib/https-portal
  #     - ./volumes/https-nginx/logs:/var/log


  docker-registry:
    image: registry:2.8.1
    container_name: docker-registry
    restart: always
    environment:
      REGISTRY_HTTP_ADDR: 0.0.0.0:5000
    ports:
      - 0.0.0.0:5050:5000
      # - 5000
    volumes:
      - ./volumes/registry:/var/lib/registry